# @HEADER
# ************************************************************************
#
#            TriBITS: Tribal Build, Integrate, and Test System
#                    Copyright 2013 Sandia Corporation
#
# Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
# the U.S. Government retains certain rights in this software.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# 1. Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# 2. Redistributions in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
#
# 3. Neither the name of the Corporation nor the names of the
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY SANDIA CORPORATION "AS IS" AND ANY
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL SANDIA CORPORATION OR THE
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# ************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by Seacas/SEACASEpu clients.
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################

include_guard(GLOBAL)

## ---------------------------------------------------------------------------
## Compilers used by Seacas/SEACASEpu build
## ---------------------------------------------------------------------------

set(SEACASEpu_CXX_COMPILER "${_IMPORT_PREFIX}/bin/c++.exe")

set(SEACASEpu_C_COMPILER "${_IMPORT_PREFIX}/bin/cc.exe")

set(SEACASEpu_Fortran_COMPILER "gfortran")
# Deprecated!
set(SEACASEpu_FORTRAN_COMPILER "gfortran") 


## ---------------------------------------------------------------------------
## Compiler flags used by Seacas/SEACASEpu build
## ---------------------------------------------------------------------------

## Give the build type
set(SEACASEpu_CMAKE_BUILD_TYPE "Release")

## Set compiler flags, including those determined by build type
set(SEACASEpu_CXX_FLAGS [[ ]])

set(SEACASEpu_C_FLAGS [[-Wall -Wunused -pedantic -std=c11 ]])

set(SEACASEpu_Fortran_FLAGS [[ ]])
# Deprecated
set(SEACASEpu_FORTRAN_FLAGS [[ ]])

## Extra link flags (e.g., specification of fortran libraries)
set(SEACASEpu_EXTRA_LD_FLAGS [[]])

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty.
set(SEACASEpu_SHARED_LIB_RPATH_COMMAND "${_IMPORT_PREFIX}/lib")
set(SEACASEpu_BUILD_SHARED_LIBS "ON")

set(SEACASEpu_LINKER ${_IMPORT_PREFIX}/bin/ld.lld.exe)
set(SEACASEpu_AR ${_IMPORT_PREFIX}/bin/llvm-ar.exe)

## ---------------------------------------------------------------------------
## Set library specifications and paths
## ---------------------------------------------------------------------------

## Base install location (if not in the build tree)
set(SEACASEpu_INSTALL_DIR "${_IMPORT_PREFIX}")

## List of package include dirs
set(SEACASEpu_INCLUDE_DIRS "")

## List of package library paths
set(SEACASEpu_LIBRARY_DIRS "")

## List of package libraries
set(SEACASEpu_LIBRARIES "SEACASSuplibCpp::suplib_cpp;SEACASSuplibC::suplib_c;SEACASExodus::exodus")

## Specification of directories for TPL headers
set(SEACASEpu_TPL_INCLUDE_DIRS "")

## Specification of directories for TPL libraries
set(SEACASEpu_TPL_LIBRARY_DIRS "")

## List of required TPLs
set(SEACASEpu_TPL_LIBRARIES "fmt::all_libs;Netcdf::all_libs;Pthread::all_libs")

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

set(SEACASEpu_MPI_LIBRARIES "")
set(SEACASEpu_MPI_LIBRARY_DIRS "")
set(SEACASEpu_MPI_INCLUDE_DIRS "")
set(SEACASEpu_MPI_EXEC "")
set(SEACASEpu_MPI_EXEC_MAX_NUMPROCS "")
set(SEACASEpu_MPI_EXEC_NUMPROCS_FLAG "")

## ---------------------------------------------------------------------------
## Set useful general variables
## ---------------------------------------------------------------------------

## The packages enabled for this project
set(SEACASEpu_PACKAGE_LIST "SEACASSuplibCpp;SEACASSuplibC;SEACASExodus")

## The TPLs enabled for this project
set(SEACASEpu_TPL_LIST "fmt;Netcdf;Pthread")

# Enables/Disables for upstream package dependencies
set(SEACASEpu_ENABLE_SEACASExodus ON)
set(SEACASEpu_ENABLE_SEACASSuplibC ON)
set(SEACASEpu_ENABLE_SEACASSuplibCpp ON)

# Include configuration of dependent packages
include("${CMAKE_CURRENT_LIST_DIR}/../SEACASExodus/SEACASExodusConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../SEACASSuplibC/SEACASSuplibCConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../SEACASSuplibCpp/SEACASSuplibCppConfig.cmake")

# Import SEACASEpu targets
include("${CMAKE_CURRENT_LIST_DIR}/SEACASEpuTargets.cmake")

## ----------------------------------------------------------------------------
## Create deprecated non-namespaced library targets for backwards compatibility
## ----------------------------------------------------------------------------

set(SEACASEpu_EXPORTED_PACKAGE_LIBS_NAMES "")

foreach(libname IN LISTS SEACASEpu_EXPORTED_PACKAGE_LIBS_NAMES)
  if (NOT TARGET ${libname})
    add_library(${libname} INTERFACE IMPORTED)
    target_link_libraries(${libname}
       INTERFACE SEACASEpu::${libname})
    set(deprecationMessage
      "WARNING: The non-namespaced target '${libname}' is deprecated!"
      "  If always using newer versions of the project 'Seacas', then use the"
      " new namespaced target 'SEACASEpu::${libname}', or better yet,"
      " 'SEACASEpu::all_libs' to be less sensitive to changes in the definition"
      " of targets in the package 'SEACASEpu'.  Or, to maintain compatibility with"
      " older or newer versions the project 'Seacas', instead link against the"
      " libraries specified by the variable 'SEACASEpu_LIBRARIES'."
      )
    string(REPLACE ";" "" deprecationMessage "${deprecationMessage}")
    set_target_properties(${libname}
      PROPERTIES DEPRECATION "${deprecationMessage}" )
  endif()
endforeach()
